@Range(5,50)
public var CantidadSalud : int = 10;
@Range(1,3)
public var VelocidadGiro : int = 2;

private var FireSound : AudioSource;

function Start (){
	var MyEffectObj : GameObject = GameObject.Find("EffectsSoundSource");
	FireSound = MyEffectObj.GetComponent(typeof(AudioSource)) as AudioSource;
}

// Roto el cargador sobre sí mismo a una velocidad determinada "velocidadgiro".
function Update () {
	transform.Rotate(Vector3.up, VelocidadGiro, Space.World);
}

// Al tocar el trigger actualizo la municion y destruyo el cargador.
function OnTriggerEnter (other : Collider) {
	if(other.transform.tag == "Player"){
		if(FireSound != null)
			FireSound.Play();
		GeneralVars.nSalud += CantidadSalud;
		if(GeneralVars.nSalud > 100)
			GeneralVars.nSalud = 100;
		// Destruyo el kit de salud
		Destroy(gameObject);
	}
}